module cyberprocesor
(
	input [7:0] szyfrogram,
	output [7:0] tekst,
	output [7:0] szyfrogram_led,
	output [6:0] HEX0, HEX1
); 


//parameter [7:0] klucz = 8'hKLUCZ;
parameter [7:0] klucz = 8'ha;

assign szyfrogram_led = szyfrogram;

assign tekst = klucz ^ szyfrogram;

dek7segm c0 (.x(tekst[3:0]),.y(HEX0));
dek7segm c1 (.x(tekst[7:4]),.y(HEX1));

endmodule

// dekoder
module dek7segm
(
	input [3:0] x,
	output reg [6:0]y
);

always@*
	case(x)
		0: y = 7'b1000000;
		1: y = 7'b1111001;
		2: y = 7'b0100100;
		3: y = 7'b0110000;
		4: y = 7'b0011001;
		5: y = 7'b0010010;
		6: y = 7'b0000010;
		7: y = 7'b1111000;
		8: y = 7'b0000000;
		9: y = 7'b0010000;
		10: y = 7'b0001000; //A
		11: y = 7'b0000011; //b
		12: y = 7'b1000110; //C
		13: y = 7'b0100001; //d
		14: y = 7'b0000110; //E
		15: y = 7'b0001110; //F
		default: y = 7'b0000001; 
	endcase

endmodule
